Loading...
Searching...
No Matches
Magick::DrawableTextDecoration Class Reference
Inheritance diagram for Magick::DrawableTextDecoration:

## Public Member Functions

| DrawableTextDecoration (DecorationType decoration_)
| DrawableTextDecoration (const DrawableTextDecoration &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | decoration (DecorationType decoration_)
DecorationType | decoration (void) const

## Private Attributes

DecorationType | _decoration

## Detailed Description

Definition at line 2113 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextDecoration() [1/2]

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | Magick::DecorationType | decoration_ | ) |

Definition at line 1544 of file Drawable.cpp.

: _decoration(decoration_)
{
}

## DrawableTextDecoration() [2/2]

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | const DrawableTextDecoration & | original_ | ) |

Definition at line 1549 of file Drawable.cpp.

: DrawableBase (original_),
_decoration(original_._decoration)
{
}

## ~DrawableTextDecoration()

Magick::DrawableTextDecoration::~DrawableTextDecoration | ( | void |  | ) |

Definition at line 1555 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextDecoration::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1563 of file Drawable.cpp.

{
return new DrawableTextDecoration(*this);
}

## decoration() [1/2]

void Magick::DrawableTextDecoration::decoration | ( | DecorationType | decoration_ | ) |

inline

Definition at line 2128 of file Drawable.h.

{
_decoration = decoration_;
}

## decoration() [2/2]

DecorationType Magick::DrawableTextDecoration::decoration | ( | void |  | ) | const

inline

Definition at line 2132 of file Drawable.h.

{
return _decoration;
}

## operator()()

void Magick::DrawableTextDecoration::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1558 of file Drawable.cpp.

{
DrawSetTextDecoration( context_, _decoration );
}

## Field Documentation

## _decoration

DecorationType Magick::DrawableTextDecoration::_decoration

private

Definition at line 2138 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp